Skip to main content
GET
/
api
/
admin
/
history
/
{historyId}
Retrieve detailed history record by ID
curl --request GET \
  --url https://pria.praxislxp.com/api/admin/history/{historyId} \
  --header 'x-access-token: <api-key>'
{
  "success": true,
  "data": {
    "_id": "<string>",
    "api": "<string>",
    "url": "<string>",
    "favorite": true,
    "forgotten": true,
    "n": 123,
    "inputLength": 123,
    "outputLength": 123,
    "credits": 123,
    "creditsPooled": true,
    "usage": 123,
    "cached": 123,
    "completion": 123,
    "latencyMs": 123,
    "ragDurationMs": 123,
    "price": 123,
    "input": "<string>",
    "inputs": [
      "<string>"
    ],
    "output": "<string>",
    "outputs": [
      "<string>"
    ],
    "code": "<string>",
    "code_language": "<string>",
    "success": true,
    "user": {
      "_id": "<string>",
      "email": "jsmith@example.com",
      "fname": "<string>",
      "lname": "<string>",
      "accountType": "<string>",
      "status": "<string>",
      "lxp_user_id": "<string>",
      "picture": "<string>",
      "lxp_user_type": 123,
      "lxp_partner_id": 123,
      "lxp_partner_name": "<string>",
      "lxp_role_id": 123,
      "lxp_role_name": "<string>",
      "credits": 123,
      "creditsUsed": 123,
      "plan": "<string>",
      "institution": {
        "_id": "<string>",
        "name": "<string>",
        "picture": "<string>",
        "credits": 123,
        "creditsUsed": 123,
        "creditsAwarded": 123,
        "publicId": "<string>",
        "publicAuthorizedUrls": [
          "<string>"
        ],
        "ainame": "<string>",
        "contactEmail": "<string>",
        "poolCredits": true,
        "created": "2023-11-07T05:31:56Z",
        "lastActivityAt": "2023-11-07T05:31:56Z",
        "conversationModel": "<string>",
        "account": {
          "_id": "<string>",
          "name": "<string>",
          "managerEmail": "jsmith@example.com",
          "credits": 123,
          "domainUrls": [
            "<string>"
          ],
          "qualification": "<string>",
          "created": "2023-11-07T05:31:56Z"
        },
        "agent": {
          "enabled": true,
          "preset": "<string>",
          "manifestYaml": "<string>",
          "manifestDigest": "<string>",
          "preferences": {
            "cpu": 2.125,
            "memoryMb": 4352,
            "storageGb": 52,
            "gui": true,
            "vncResolution": "1280x800"
          },
          "requestedBy": "<string>",
          "requestedAt": "2023-11-07T05:31:56Z",
          "provisionedAt": "2023-11-07T05:31:56Z",
          "lastError": "<string>"
        },
        "maxCompletionTokens": 123,
        "creditsTotal": 123,
        "creditsUsagePct": 123,
        "id": "<string>",
        "displayAgentDetails": true,
        "displayThinkingDetails": true,
        "displayThinkingExecution": true,
        "displayToolExecution": true
      },
      "remember_history_count": 123,
      "created": "2023-11-07T05:31:56Z"
    },
    "institution": {
      "_id": "<string>",
      "name": "<string>",
      "picture": "<string>",
      "credits": 123,
      "creditsUsed": 123,
      "creditsAwarded": 123,
      "publicId": "<string>",
      "publicAuthorizedUrls": [
        "<string>"
      ],
      "ainame": "<string>",
      "contactEmail": "<string>",
      "poolCredits": true,
      "created": "2023-11-07T05:31:56Z",
      "lastActivityAt": "2023-11-07T05:31:56Z",
      "conversationModel": "<string>",
      "account": {
        "_id": "<string>",
        "name": "<string>",
        "managerEmail": "jsmith@example.com",
        "credits": 123,
        "domainUrls": [
          "<string>"
        ],
        "qualification": "<string>",
        "created": "2023-11-07T05:31:56Z"
      },
      "agent": {
        "enabled": true,
        "preset": "<string>",
        "manifestYaml": "<string>",
        "manifestDigest": "<string>",
        "preferences": {
          "cpu": 2.125,
          "memoryMb": 4352,
          "storageGb": 52,
          "gui": true,
          "vncResolution": "1280x800"
        },
        "requestedBy": "<string>",
        "requestedAt": "2023-11-07T05:31:56Z",
        "provisionedAt": "2023-11-07T05:31:56Z",
        "lastError": "<string>"
      },
      "maxCompletionTokens": 123,
      "creditsTotal": 123,
      "creditsUsagePct": 123,
      "id": "<string>",
      "displayAgentDetails": true,
      "displayThinkingDetails": true,
      "displayThinkingExecution": true,
      "displayToolExecution": true
    },
    "status": "<string>",
    "query_duration_ms": 123,
    "mode": 123,
    "course_id": 123,
    "course_name": "<string>",
    "conversation_model": "<string>",
    "tools": [
      "<string>"
    ],
    "created": "2023-11-07T05:31:56Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.praxis-ai.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-access-token
string
header
required

JWT token passed in x-access-token header

Path Parameters

historyId
string
required

The unique identifier of the history record

Response

History record retrieved successfully

success
boolean

Whether the request was successful

data
object